### Method

# Shell App launch

#### Declaration [src]

    gboolean
    shell_app_launch (
      ShellApp* app,
      guint timestamp,
      int workspace,
      ShellAppLaunchGpu gpu_pref,
      GError** error
    )

#### Description

No description available.

#### Parameters

`timestamp`

  Type: `guint`

  Event timestamp, or 0 for current event timestamp.

`workspace`

  Type: `int`

  Start on this workspace, or -1 for default.

`gpu_pref`

  Type: `ShellAppLaunchGpu`

  The GPU to prefer launching on.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.